//
//  index.js
//  Whisper
//
//  Created by Nicholas Penree on 4/21/09.
//  Copyright 2009 Conceited Software. All rights reserved.
//

// DECLARE GLOBAL VARIBLES
var fontSize;


function setFontSize(size){
    //$('body').css('font-size', size + 'px');
}

function appendMessage(messageDetails) {
    var output = '';
    
	switch(messageDetails[MESSAGE_TYPE_KEY]) {
	    case 'msgMessage':
	        output = '[$time] &lt;$nickname&gt; $description';
    	    break;
	    case 'msgAction':
	        output = '[$time] * $nickname $description';
    	    break;
    	case 'msgRaw':
    	    output = '[$time] $description';
    	    break;
	    case 'msgJoin':
	        output = '[$time] $nickname joined the channel.';
    	    break;
    	case 'msgPart':
    	    output = '[$time] $nickname left the channel. ($description)';
    	    break;
    	case 'msgQuit':
    	    if (messageDetails[MESSAGE_DIRECTION_KEY] == 1) {
    	        output = '[$time] You quit IRC. ($description)';
    	    } else {
    	        output = '[$time] $nickname quit IRC. ($description)';
    	    }
    	    break;
    	case 'msgKick':
    	    output = '[$time] $nickname kicked $recipient from the channel. ($description)';
    	    break;
    	case 'msgModeChange':
    	    output = '[$time] $nickname sets mode $description';
    	    break;
    	case 'msgNick':
    	    output = '[$time] $nickname is now known as $description.';
    	    break;
    	case 'msgTopicChange':
    	    output = '[$time] $nickname changed the topic to $description';
    	    break;
    	case 'msgTopicDetailsReply':
    	    break;
    	case 'msgNotice':
    	    output = '[$time] -$nickname- $description';
    	    break;
    	case 'msgNoticeAuth':
    	    output = '[$time] $description';
    	    break;
	}

    if (output != '') {
        output = expandVariables(output, messageDetails);
        
        var lineElement = document.createElement('PRE')
        lineElement.innerHTML = output;
        document.body.appendChild(lineElement);
	
	    return true;
    }
    
	return false;
}